REGULATOR_FORCE_DISA(9)

NAME
regulator_force_disable - force disable regulator output

SYNOPSIS

int regulator_force_disable(struct regulator * regulator);

ARGUMENTS

regulator
    regulator source

DESCRIPTION

Forcibly disable the regulator output voltage or current.

NOTE

this *will* disable the regulator output even if other consumer devices have it enabled. This should be used for situations when device damage will likely occur if the regulator is not disabled (e.g. over temp).

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT